Bug 178666

Summary: csmash doesn't compile under mock/devel due to Mesa-devel BR
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: csmashAssignee: Matthias Saou <matthias>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: extras-qa
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-01-24 10:19:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kevin Fenzi 2006-01-23 04:01:37 UTC
Description of problem:
csmash doesn't compile under mock/devel due to Mesa-devel BR.
csmash requires Mesa-devel, which no longer exists under devel. 

Wrote: /builddir/build/SRPMS/csmash-0.6.6-9.src.rpm
ensuring dir /var/lib/mock/fedora-development-i386-core/root/proc
ensuring dir /var/lib/mock/fedora-development-i386-core/root/dev/pts
/usr/sbin/mock-helper yum --installroot
/var/lib/mock/fedora-development-i386-core/root resolvedep
'zlib-devel' 'libjpeg-devel' 'gcc-c++' 'SDL_image-devel' 'SDL_mixer-devel'
'gtk2-devel >= 2.0.0' 'desktop-file-utils' 'SDL-devel >= 1.2.0' 'Mesa-devel'
No Package Found for Mesa-devel
0:zlib-devel-1.2.3-1.1.i386
0:libjpeg-devel-6b-36.1.i386
0:gcc-c++-4.1.0-0.15.i386
0:SDL_image-devel-1.2.4-2.fc5.i386
0:SDL_mixer-devel-1.2.6-5.fc5.i386
0:gtk2-devel-2.8.10-4.i386
0:desktop-file-utils-0.10-3.1.i386
0:SDL-devel-1.2.9-2.1.1.i386
No Package Found for Mesa-devel
0:zlib-devel-1.2.3-1.1.i386
0:libjpeg-devel-6b-36.1.i386
0:gcc-c++-4.1.0-0.15.i386
0:SDL_image-devel-1.2.4-2.fc5.i386
0:SDL_mixer-devel-1.2.6-5.fc5.i386
0:gtk2-devel-2.8.10-4.i386
0:desktop-file-utils-0.10-3.1.i386
0:SDL-devel-1.2.9-2.1.1.i386
Cleaning up...
Done.

Perhaps mesa-libGL-devel and/or mesa-libGLU-devel and/or mesa-libGLw-devel
packages might be sufficent.

Comment 1 Matthias Saou 2006-01-24 10:19:17 UTC
Fixed in the next build. A quick patch for gcc 4.1 compatibility was needed too.